﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SuperMap.Desktop.Samples
{
    public partial class FormAccess : Form
    {
        private Dictionary<String, String> m_UserInfo = new Dictionary<String, String>();  //用于存储用户名和对应的密码

        public FormAccess()
        {
            InitializeComponent();

            //Initialize username and password
            m_UserInfo.Add("admin", "admin");
            m_UserInfo.Add("viewer", "viewer");
        }

        public String UserName
        {
            get { return m_textBoxUser.Text; }
            set { m_textBoxUser.Text = value; }
        }

        public String Password
        {
            get { return m_textBoxPassword.Text; }
            set { m_textBoxPassword.Text = value; }
        }

        private void m_buttonOK_Click(object sender, EventArgs e)
        {
            try
            {
                //If the username and password are right, you will login successfully
                if (!m_UserInfo.ContainsKey(this.UserName))
                {
                    m_errorProvider.Clear();
                    m_errorProvider.SetError(m_textBoxUser, "User name does not exist!");
                }
                else if (this.Password == m_UserInfo[this.UserName])
                {
                    m_errorProvider.Clear();
                    this.DialogResult = DialogResult.OK;
                    this.Close();
                }
                //If the username and password are not right, it will prompt wrong message
                else
                {
                    m_errorProvider.Clear();
                    m_errorProvider.SetError(m_textBoxPassword, "User name or password is not correct!");
                }
            }
            catch (Exception ex)
            {
                Application.ActiveApplication.Output.Output(ex.Message, InfoType.Exception);
                Application.ActiveApplication.Output.Output(ex.StackTrace, InfoType.Exception);
            }
        }

    }
}
